Skip to main content
DELETE
Delete Address Watch

Authentication

✅ Organization User (CustomerEmployee)
❌ Delegated User (EndUser)
✅ Service Account

Required Permissions

AddressWatches:Delete: Always required.

Authorizations

Authorization
string
header
required

Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows

X-DFNS-USERACTION
string
header
required

User Action Signature: Used to sign the change-inducing API requests. More details how to generate the token: User Action Signing flows

Path Parameters

addressWatchId
string
required

The address watch to delete.

Required string length: 1 - 64
Pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$

Response

200 - application/json

Success

id
string
required

ID of the address watch.

Required string length: 1 - 64
Pattern: ^aw-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$
Example:

"aw-0pbh4-7sdh4-2occ0e4r1g7obe8c"

network
enum<string>
required

Network the address is watched on.

Available options:
ArbitrumOne,
ArbitrumSepolia,
ArcTestnet,
AvalancheC,
AvalancheCFuji,
Base,
BaseSepolia,
Berachain,
BerachainBepolia,
Bob,
BobSepolia,
Bsc,
BscTestnet,
Celo,
CeloAlfajores,
Codex,
CodexSepolia,
Ethereum,
EthereumClassic,
EthereumClassicMordor,
EthereumSepolia,
EthereumHoodi,
FlareC,
FlareCCoston2,
FlowEvm,
FlowEvmTestnet,
Ink,
InkSepolia,
Optimism,
OptimismSepolia,
Plasma,
PlasmaTestnet,
Plume,
PlumeSepolia,
Polygon,
PolygonAmoy,
Race,
RaceSepolia,
Rayls,
RaylsTestnet,
Robinhood,
RobinhoodSepolia,
SeiAtlantic2,
SeiPacific1,
Solana,
SolanaDevnet,
Sonic,
SonicTestnet,
Tempo,
TempoModerato,
Tsc,
TscTestnet1,
Xdc,
XdcApothem,
XLayer,
XLayerSepolia
address
string
required

The watched on chain address.

status
enum<string>
required

Address watch status.

Available options:
Active,
Archived
dateCreated
string
required

ISO 8601 date string when the address watch was created.

Example:

"2026-07-03T20:41:28.715Z"

name
string

Address watch nickname.

Maximum string length: 100
externalId
string

User-defined value that can be used to correlate the entity with an external system.

Maximum string length: 100
dateDeleted
string

ISO 8601 date string when the address watch was archived.

Example:

"2026-07-03T20:41:28.715Z"

Last modified on August 24, 2026